%global srcname          pydoctor
%global forgeurl         https://github.com/twisted/%{srcname}
%global pydoctor_version 24.11.1
%global tag              %{pydoctor_version}
%global date             20241208
%forgemeta

Name:           python-%{srcname}
Version:        %{pydoctor_version}
Release:        %autorelease
Summary:        API documentation generator that works by static analysis
License:        MIT AND BSD-3-Clause AND OFL-1.1
# BSD-3-Clause
# pydoctor/astutils.py
# OFL-1.1 
# pydoctor/themes/readthedocs/fonts/*
# MIT
# pydoctor/*

URL:            %{forgeurl}
Source0:        %{forgesource}

BuildArch:      noarch

BuildRequires:  make
BuildRequires:  python3-devel
BuildRequires:  python3-setuptools
BuildRequires:  python3dist(sphinx-rtd-theme)

%{?python_enable_dependency_generator}

%description
This is pydoctor, a standalone API documentation generator that works by 
static analysis.

It was written primarily to replace epydoc for the purposes of the Twisted 
project as epydoc has difficulties with zope.interface. If you are looking 
for a successor to epydoc after moving to Python 3, pydoctor might be the 
right tool for your project as well.

pydoctor puts a fair bit of effort into resolving imports and computing 
inheritance hierarchies and, as it aims at documenting Twisted, knows about 
zope.interface's declaration API and can present information about which 
classes implement which interface, and vice versa.


%package -n python3-%{srcname}
Summary:        %{summary}

%description -n python3-%{srcname}
%{description}


%prep
%forgeautosetup -p1

%generate_buildrequires
%pyproject_buildrequires -t


%build
%pyproject_wheel
%make_build docs


%install
%pyproject_install
%pyproject_save_files %{srcname}


%check
%pyproject_check_import -t
%tox


%files -n python3-%{srcname} -f %{pyproject_files}
%license LICENSE.txt
%doc README.rst CONTRIBUTING.rst
%{_bindir}/pydoctor


%changelog
%autochangelog
